Subject: Re: third party nexthop

From: [email-masked] (Vivian_Lu)
Date: Mon, 8 Dec 1997 16:00:52 -0500

Hi all,

Thanks to all the feedback to my question.
They have been very helpful.

Vivian.

> From [email-masked] Mon Nov 24 16:57:01 1997
> Date: Mon, 24 Nov 1997 16:24:36 -0500
> From: [email-masked] (Vivian_Lu)
> To: [email-masked]
> Subject: third party nexthop
> Cc: [email-masked]
> X-Sun-Charset: US-ASCII
> Sender: [email-masked]
> Content-Length: 2468
> 
> 
> Hi,
> 
> We are currently implementing bgp4, and have the following questions.
> 
> In the latest draft, (section 5.1.3 NEXT_HOP)
> 
>   "The NEXT_HOP path attribute defines the IP address of the border
>    router that should be used as the next hop to the destinations listed
>    in the UPDATE message.  When advertising a NEXT_HOP attribute to an
>    external peer, a router may use one of its own interface addresses in
>    the NEXT_HOP attribute provided the external peer to which the route
>    is being advertised shares a common subnet with the NEXT_HOP address.
>    This is known as a "first party" NEXT_HOP attribute.  A BGP speaker
>                                                          ^^^^^^^^^^^^^
>    can advertise to an external peer an interface of any internal peer
>    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>    router in the NEXT_HOP attribute provided the external peer to which
>    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>    the route is being advertised shares a common subnet with the
>    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>    NEXT_HOP address.  This is known as a "third party" NEXT_HOP
>    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>    attribute.  A BGP speaker can advertise any external peer router in
>    ^^^^^^^^^
>    the NEXT_HOP attribute provided that the IP address of this border
>    router was learned from an external peer and the external peer to
>    which the route is being advertised shares a common subnet with the
>    NEXT_HOP address.  This is a second form of "third party" NEXT_HOP
>    attribute."
> 
> It seems to me with the underlined restriction in the "third party" 
> NEXT_HOP case, the internal peer whose interface address is advertised
> in the NEXT_HOP attribute by the BGP speaker must be on the same subnet
> as BGP speaker and its external peer.
> 
> My question is when and how does this get used in the real world scenario?
> why will there be a need of a IBGP and EBGP running on two different machines
> on the same subnet?
> and how many vendors actually enforce this checking?
> 
> Your help is very much appreciated.
> 
> Vivian.
> ------------------------------------------------------------------------
> Vivian H. Lu                 E-MAIL: [email-masked]
> NetEdge Systems, Inc.        PHONE: (508)670-2934
> 85 Rangeway Road,            FAX: (508)262-0802
> Billerica, Massachusetts.
> ------------------------------------------------------------------------
> 
> 
>